#ifndef ___FRAME0_H
#define ___FRAME0_H
#include "params.h"
extern void _frame0();
extern int _CurrentFrame;
extern void FreeCurrentFrame();
extern void hmi_GotoFrame(int nFrame);
extern void hmi_TimerTrigger();
extern void hmi_TurnBacklight(int bOn);
extern int g_TimerTicksCount;

extern tCanvasWidget LabelWidget4;
extern tPushButtonWidget TextPushButton6;
extern void OnTextPushButton6Paint(tWidget *, unsigned long);
extern void OnTextPushButton6Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton7;
extern void OnTextPushButton7Paint(tWidget *, unsigned long);
extern void OnTextPushButton7Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton9;
extern void OnTextPushButton9Paint(tWidget *, unsigned long);
extern void OnTextPushButton9Click(tWidget *pWidget);

extern tTimerWidget Timer11;
extern tPushButtonWidget TextPushButton60;
extern void OnTextPushButton60Paint(tWidget *, unsigned long);
extern void OnTextPushButton60Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton61;
extern void OnTextPushButton61Paint(tWidget *, unsigned long);
extern void OnTextPushButton61Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton62;
extern void OnTextPushButton62Paint(tWidget *, unsigned long);
extern void OnTextPushButton62Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton63;
extern void OnTextPushButton63Paint(tWidget *, unsigned long);
extern void OnTextPushButton63Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton64;
extern void OnTextPushButton64Paint(tWidget *, unsigned long);
extern void OnTextPushButton64Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton65;
extern void OnTextPushButton65Paint(tWidget *, unsigned long);
extern void OnTextPushButton65Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton66;
extern void OnTextPushButton66Paint(tWidget *, unsigned long);
extern void OnTextPushButton66Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton67;
extern void OnTextPushButton67Paint(tWidget *, unsigned long);
extern void OnTextPushButton67Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton68;
extern void OnTextPushButton68Paint(tWidget *, unsigned long);
extern void OnTextPushButton68Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton69;
extern void OnTextPushButton69Paint(tWidget *, unsigned long);
extern void OnTextPushButton69Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton70;
extern void OnTextPushButton70Paint(tWidget *, unsigned long);
extern void OnTextPushButton70Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton71;
extern void OnTextPushButton71Paint(tWidget *, unsigned long);
extern void OnTextPushButton71Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton72;
extern void OnTextPushButton72Paint(tWidget *, unsigned long);
extern void OnTextPushButton72Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton73;
extern void OnTextPushButton73Paint(tWidget *, unsigned long);
extern void OnTextPushButton73Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton74;
extern void OnTextPushButton74Paint(tWidget *, unsigned long);
extern void OnTextPushButton74Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton75;
extern void OnTextPushButton75Paint(tWidget *, unsigned long);
extern void OnTextPushButton75Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton76;
extern void OnTextPushButton76Paint(tWidget *, unsigned long);
extern void OnTextPushButton76Click(tWidget *pWidget);

extern tPushButtonWidget BitButton77;
extern void OnBitButton77Click(tWidget *pWidget);

extern void OnFrame12Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame25Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame38Paint(tWidget *pWidget, tContext *pContext);

extern tCanvasWidget CanvasFrame1;
extern tCanvasWidget CanvasFrame2;
extern tCanvasWidget CanvasFrame3;

extern void InitWidget1();
extern void InitWidget2();
extern void InitWidget3();

extern void FreeWidget1();
extern void FreeWidget2();
extern void FreeWidget3();


extern void _frame1();
extern void _frame2();
extern void _frame3();

#endif
